#
# spec file for package wlrctl
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wlrctl
Version:        0.2.2~0
Release:        bp160.1.6
Summary:        Utility for miscellaneous wlroots Wayland extensions
License:        MIT
Group:          Productivity/Graphics/Other
URL:            https://git.sr.ht/~brocellous/wlrctl
Source:         %{name}-%{version}.tar.gz
BuildRequires:  meson >= 0.48.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xkbcommon)
# Build failure on arch with unsigned char - https://todo.sr.ht/~brocellous/wlrctl/4
ExclusiveArch: %{ix86} x86_64

%description
wlrctl is a command line utility for miscellaneous wlroots Wayland extensions.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/zsh/site-functions/_wlrctl
%{_mandir}/man1/wlrctl.1%{?ext_man}

%changelog
* Tue May 23 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Disable build on arch with unsigned char
  See: https://todo.sr.ht/~brocellous/wlrctl/4
* Tue May 16 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.2.2:
  * Fix keyboard arg parsing
  * Correct brace and bracket output
  * Add output zsh completions
  * Add output management protocol
  * Add support for modifiers
  * keyboard: unbreak build without memfd_create
  * Support foreign toplevel v3
  * zsh complete multiple toplevel addrs
* Tue Nov  8 2022 Michael Vetter <mvetter@suse.com>
- Update _service file
  * Get tag not git revision
- Use proper version 0.2.1
* Mon Aug 10 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.2.1:
  * fix typo that completely broke the mainloop
* Thu Aug  6 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.2.0:
  * implement toplevel wait action
  * implement positive toplevel state matching
  * implement toplevel waitfor action
  * implement negative toplevel state matching
  * improve keymap compatibility
  * cleanups
* Thu Jul 30 2020 Michael Vetter <mvetter@suse.com>
- Package manpage
* Thu Jul 30 2020 Michael Vetter <mvetter@suse.com>
- Initial package of wlrctl 0.1.1 for openSUSE
